> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soyab.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Items



## OpenAPI

````yaml cherrytree/openapi.json get /items
openapi: 3.1.0
info:
  title: CherryTree API
  description: An API created by decompiling the CherryTree Android App
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://cherrytree.soyab.uk
security: []
paths:
  /items:
    get:
      summary: Items
      responses:
        '200':
          description: 200 Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Items'
components:
  schemas:
    Items:
      type: object
      properties:
        total:
          type: number
        results:
          items:
            type: object
            properties:
              id:
                type: number
              imageUrl:
                type: string
              name:
                type: string
              rarity:
                type: string
              value:
                type: number
              type:
                type: string
              healingAmount:
                type: number
              farmingLevel:
                type: number
              attackBonus:
                type: number
              strengthBonus:
                type: number
              defenceBonus:
                type: number
              healthBonus:
                type: number
              bowDamage:
                type: number
              bowCrit:
                type: number
              bowAccuracy:
                type: number
              bowSpeed:
                type: number
              description:
                type: string
              tradable:
                type: boolean
              limited:
                type: number
              crafting:
                type: object
                properties:
                  name:
                    type: string
                  category:
                    type: string
                  craftingLevel:
                    type: number
                  craftingExp:
                    type: number
                  materials:
                    type: array
                    items:
                      type: object
                      properties:
                        itemId:
                          type: number
                        name:
                          type: string
                        amount:
                          type: number
                      required:
                        - itemId
                        - name
                        - amount
                required:
                  - name
                  - category
                  - craftingLevel
                  - craftingExp
                  - materials
              cooking:
                type: object
                properties:
                  name:
                    type: string
                  burnt:
                    type: string
                  cookingLevel:
                    type: number
                  burntLevel:
                    type: number
                  burntChance:
                    type: number
                  cookingExp:
                    type: number
                  materials:
                    type: array
                    items:
                      type: object
                      properties:
                        itemId:
                          type: number
                        name:
                          type: string
                      required:
                        - itemId
                        - name
                required:
                  - name
                  - burnt
                  - cookingLevel
                  - burntLevel
                  - burntChance
                  - cookingExp
                  - materials
              farming:
                type: object
                properties:
                  name:
                    type: string
                  farmingLevel:
                    type: number
                  farmingExp:
                    type: number
                  farmingSeed:
                    type: string
                  scythePercentage:
                    type: number
                  scytheText:
                    type: string
                required:
                  - name
                  - farmingLevel
                  - farmingExp
                  - farmingSeed
                  - scythePercentage
                  - scytheText
              mining:
                type: object
                properties:
                  name:
                    type: string
                  miningLevel:
                    type: number
                  miningExp:
                    type: number
                  gemPercentage:
                    type: number
                  gemText:
                    type: string
                required:
                  - name
                  - miningLevel
                  - miningExp
                  - gemPercentage
                  - gemText
              fletching:
                type: object
                properties:
                  name:
                    type: string
                  category:
                    type: string
                  fletchingLevel:
                    type: number
                  fletchingExp:
                    type: number
                  materials:
                    type: array
                    items:
                      type: object
                      properties:
                        itemId:
                          type: number
                        name:
                          type: string
                        amount:
                          type: number
                      required:
                        - itemId
                        - name
                        - amount
                required:
                  - name
                  - category
                  - fletchingLevel
                  - fletchingExp
                  - materials
              forestry:
                type: object
                properties:
                  name:
                    type: string
                  tree:
                    type: string
                  forestryLevel:
                    type: number
                  forestryExp:
                    type: number
                  forestryBurnExp:
                    type: number
                required:
                  - name
                  - tree
                  - forestryLevel
                  - forestryExp
                  - forestryBurnExp
              alchemy:
                type: object
                properties:
                  alchemyId:
                    type: number
                  name:
                    type: string
                  levelRequired:
                    type: number
                  alchemyExpProvided:
                    type: number
                  materials:
                    type: array
                    items:
                      type: object
                      properties:
                        itemId:
                          type: number
                        itemName:
                          type: string
                        amount:
                          type: number
                      required:
                        - itemId
                        - itemName
                        - amount
                required:
                  - alchemyId
                  - name
                  - levelRequired
                  - alchemyExpProvided
                  - materials
              blessed:
                type: object
                properties:
                  name:
                    type: string
                  level:
                    type: string
                  description:
                    type: string
                  originalCost:
                    type: number
                  baseCamp57Cost:
                    type: number
                  tikiTheTicketCost:
                    type: number
                  bothCost:
                    type: number
                  requirement:
                    type: string
                required:
                  - name
                  - level
                  - description
                  - originalCost
                  - baseCamp57Cost
                  - tikiTheTicketCost
                  - requirement
              chest:
                type: array
                items:
                  type: object
                  properties:
                    itemId:
                      type: number
                    name:
                      type: string
                    min:
                      type: number
                    max:
                      type: number
                    percentage:
                      type: number
                    text:
                      type: string
                  required:
                    - name
                    - min
                    - max
                    - percentage
                    - text
              monsterDrops:
                type: array
                items:
                  type: object
                  properties:
                    dropId:
                      type: number
                    monsterId:
                      type: number
                    monsterName:
                      type: string
                    minAmount:
                      type: number
                    maxAmount:
                      type: number
                    rarity:
                      type: string
                    baseChance:
                      type: number
                    luckChance:
                      type: number
                    extremeLuckChance:
                      type: number
                  required:
                    - dropId
                    - monsterId
                    - monsterName
                    - minAmount
                    - maxAmount
                    - baseChance
                    - luckChance
                    - extremeLuckChance
              fishingDrops:
                type: array
                items:
                  type: object
                  properties:
                    dropId:
                      type: number
                    locationId:
                      type: number
                    locationName:
                      type: string
                    locationLevel:
                      type: number
                    baseChance:
                      type: number
                    luckChance:
                      type: number
                    extremeLuckChance:
                      type: number
                  required:
                    - dropId
                    - locationId
                    - locationName
                    - locationLevel
                    - baseChance
                    - luckChance
                    - extremeLuckChance
              discoveryDrops:
                type: array
                items:
                  type: object
                  properties:
                    dropId:
                      type: number
                    locationId:
                      type: number
                    locationName:
                      type: string
                    locationLevel:
                      type: number
                    baseChance:
                      type: number
                    luckChance:
                      type: number
                    extremeLuckChance:
                      type: number
                  required:
                    - dropId
                    - locationId
                    - locationName
                    - locationLevel
                    - baseChance
                    - luckChance
                    - extremeLuckChance
              theivingDrops:
                type: array
                items:
                  type: object
                  properties:
                    dropId:
                      type: number
                    locationId:
                      type: number
                    locationName:
                      type: string
                    locationLevel:
                      type: number
                    baseChance:
                      type: number
                    luckChance:
                      type: number
                    extremeLuckChance:
                      type: number
                  required:
                    - dropId
                    - locationId
                    - locationName
                    - locationLevel
                    - baseChance
                    - luckChance
                    - extremeLuckChance
              safesDrops:
                type: array
                items:
                  type: object
                  properties:
                    safeId:
                      type: number
                    safeName:
                      type: string
                    amount:
                      type: number
                    percentage:
                      type: number
                    chance:
                      type: string
                  required:
                    - safeId
                    - safeName
                    - amount
                    - percentage
                    - chance
              explorationDrops:
                type: array
                items:
                  type: object
                  properties:
                    explorationId:
                      type: number
                    explorationName:
                      type: string
                    amount:
                      type: number
                    percentage:
                      type: number
                    chance:
                      type: string
                  required:
                    - explorationId
                    - explorationName
                    - amount
                    - percentage
                    - chance
              eventDrops:
                type: array
                items:
                  type: object
                  properties:
                    chestName:
                      type: string
                    chestId:
                      type: number
                    amount:
                      type: number
                    chancePercentage:
                      type: number
                    chanceText:
                      type: string
                  required:
                    - chestName
                    - chestId
                    - amount
                    - chancePercentage
                    - chanceText
              foundInChests:
                type: array
                items:
                  type: object
                  properties:
                    chestName:
                      type: string
                    chestId:
                      type: number
                    minAmount:
                      type: number
                    maxAmount:
                      type: number
                    chancePercentage:
                      type: number
                    chanceText:
                      type: string
                  required:
                    - chestName
                    - chestId
                    - minAmount
                    - maxAmount
                    - chancePercentage
                    - chanceText
              secrets:
                type: object
                properties:
                  name:
                    type: string
                  chance:
                    type: number
                  chanceText:
                    type: string
                  chanceWithMaxWw:
                    type: number
                  chanceWithMaxWwText:
                    type: string
                  chanceWithMaxWwAndBC65:
                    type: number
                  chanceWithMaxWwAndBC65Text:
                    type: string
                  chanceWithMaxWwAndBC65AndRingOfSecrets:
                    type: number
                  chanceWithMaxWwAndBC65AndRingOfSecretsText:
                    type: string
                  chanceWithSoulReaperPotion:
                    type: number
                  chanceWithSoulReaperPotionText:
                    type: string
                  impactedByWishingWell:
                    type: boolean
                  conditions:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - chance
                  - chanceText
                  - impactedByWishingWell
                  - conditions
              usedIn:
                type: object
                properties:
                  crafting:
                    type: array
                    items:
                      type: object
                      properties:
                        craftingId:
                          type: number
                        name:
                          type: string
                        levelRequired:
                          type: number
                      required:
                        - craftingId
                        - name
                        - levelRequired
                  alchemy:
                    type: array
                    items:
                      type: object
                      properties:
                        alchemyId:
                          type: number
                        name:
                          type: string
                        levelRequired:
                          type: number
                      required:
                        - alchemyId
                        - name
                        - levelRequired
                  cooking:
                    type: array
                    items:
                      type: object
                      properties:
                        cookingId:
                          type: number
                        name:
                          type: string
                        burnt:
                          type: string
                        levelRequired:
                          type: number
                      required:
                        - cookingId
                        - name
                        - burnt
                        - levelRequired
                  fletching:
                    type: array
                    items:
                      type: object
                      properties:
                        fletchingId:
                          type: number
                        name:
                          type: string
                        levelRequired:
                          type: number
                      required:
                        - fletchingId
                        - name
                        - levelRequired
                  farming:
                    type: array
                    items:
                      type: object
                      properties:
                        farmingId:
                          type: number
                        name:
                          type: string
                        levelRequired:
                          type: number
                      required:
                        - farmingId
                        - name
                        - levelRequired
                  forestry:
                    type: array
                    items:
                      type: object
                      properties:
                        forestryId:
                          type: number
                        name:
                          type: string
                        levelRequired:
                          type: number
                      required:
                        - forestryId
                        - name
                        - levelRequired
                  quests:
                    type: array
                    items:
                      type: object
                      properties:
                        questId:
                          type: number
                        questName:
                          type: string
                        questSeries:
                          type: string
                        amount:
                          type: number
                      required:
                        - questId
                        - questName
                        - questSeries
                        - amount
                  basecamps:
                    type: array
                    items:
                      type: object
                      properties:
                        basecampId:
                          type: number
                        BaseTowerLevel:
                          type: string
                        amount:
                          type: number
                      required:
                        - basecampId
                        - BaseTowerLevel
                        - amount
                  blessed:
                    type: object
                    properties:
                      blessedId:
                        type: number
                      blessedName:
                        type: string
                    required:
                      - blessedId
                      - blessedName
                required: []
            required:
              - id
              - imageUrl
              - name
              - rarity
              - value
              - type
              - healingAmount
              - farmingLevel
              - attackBonus
              - strengthBonus
              - defenceBonus
              - healthBonus
              - bowDamage
              - bowCrit
              - bowAccuracy
              - bowSpeed
              - description
              - tradable
              - usedIn
      required:
        - total
        - results

````